Bug 206015 - virt-manager hangs when you Cancel "Restore Virtual Machine"
virt-manager hangs when you Cancel "Restore Virtual Machine"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
:
Depends On: 206058
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-11 10:55 EDT by Chris Lalancette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 07:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2006-09-11 10:55:12 EDT
Description of problem:

Once you start up virt-manager 0.2.1-1, one of the options under the File menu
is "Restore Saved Machine...".  Clicking on "Restore Saved Machine" and then
clicking the "Cancel" button (or the X in the upper right-hand corner) in the
resulting file dialog box causes the whole application to lock up.
Comment 1 Daniel Berrange 2006-09-11 15:45:47 EDT
Initial investigation suggests that there is some threading deadlock issue in
the GNOME  VFS library causing this problem. cf bug 206058
Comment 2 Daniel Berrange 2006-09-12 07:12:23 EDT
bug 206058 was resolved in libgnomeui-2.16.0-2.fc6, and I have verified that the
virt-manager hang no longer occurs when this updated libgnomeui is installed.

Note You need to log in before you can comment on or make changes to this bug.